> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://reference.flatfile.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://reference.flatfile.com/_mcp/server.

# Get a draft

GET https://api.x.flatfile.com/v1/spaces/{spaceId}/drafts/{draftSpaceId}/merge

Gets a draft by the space id and draft space id

Reference: https://reference.flatfile.com/api-reference/spaces/get-space-draft

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `spaceId` (string, required) — ID of space to get draft for
- `draftSpaceId` (string, required) — ID of draft space to get

## Response

### 200

- `data` (SpaceDraftMergeOperations, required)

## Errors

### 400 Bad Request Error

- `errors` (list of Error, required)

### 404 Not Found Error

- `errors` (list of Error, required)

## Types

### SpaceDraftMergeOperations

- `space` (list of SpaceDraftMergeOperation, required)
- `workbook` (list of SpaceDraftMergeOperation, required)
- `sheet` (list of SpaceDraftMergeOperation, required)
- `guidance` (list of SpaceDraftMergeOperation, required)
- `document` (list of SpaceDraftMergeOperation, required)
- `action` (list of SpaceDraftMergeOperation, required)
- `agent` (list of SpaceDraftMergeOperation, required)

### Error

- `message` (string, required)
- `key` (string, optional)

### SpaceDraftMergeOperation

- `action` (string, required)
- `id` (string, optional)
- `mergeId` (string, optional)
- `jsonPatch` (list of JSONPatchOperation, optional)

### JSONPatchOperation

- `op` (enum, required)
  - Allowed values: `add`, `remove`, `replace`, `move`, `copy`, `test`
- `from` (string, optional)
- `path` (string, optional)
- `value` (any, optional)

## Examples

**Response**

```json
{
  "data": {
    "space": [
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      },
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      }
    ],
    "workbook": [
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      },
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      }
    ],
    "sheet": [
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      },
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      }
    ],
    "guidance": [
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      },
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      }
    ],
    "document": [
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      },
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      }
    ],
    "action": [
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      },
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      }
    ],
    "agent": [
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      },
      {
        "action": "action",
        "id": "id",
        "mergeId": "mergeId",
        "jsonPatch": [
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          },
          {
            "op": "add",
            "from": "from",
            "path": "path",
            "value": {
              "key": "value"
            }
          }
        ]
      }
    ]
  }
}
```

**SDK Code**

```typescript
import { FlatfileClient } from "@flatfile/api";

const client = new FlatfileClient({ token: "YOUR_TOKEN" });
await client.spaces.getSpaceDraft("spaceId", "draftSpaceId");

```

```python
import requests

url = "https://api.x.flatfile.com/v1/spaces/spaceId/drafts/draftSpaceId/merge"

headers = {
    "X-Disable-Hooks": "true",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.x.flatfile.com/v1/spaces/spaceId/drafts/draftSpaceId/merge"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Disable-Hooks", "true")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.x.flatfile.com/v1/spaces/spaceId/drafts/draftSpaceId/merge")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Disable-Hooks"] = 'true'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.x.flatfile.com/v1/spaces/spaceId/drafts/draftSpaceId/merge")
  .header("X-Disable-Hooks", "true")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.x.flatfile.com/v1/spaces/spaceId/drafts/draftSpaceId/merge', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'X-Disable-Hooks' => 'true',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.x.flatfile.com/v1/spaces/spaceId/drafts/draftSpaceId/merge");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Disable-Hooks", "true");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Disable-Hooks": "true",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.x.flatfile.com/v1/spaces/spaceId/drafts/draftSpaceId/merge")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```